Reservation Order - Change Directory

變更 ReservationOrder的目錄。
將 ReservationOrder 目錄(租使用者)及其下的所有 Reservation 變更為指定的租用戶標識碼

POST https://management.azure.com/providers/Microsoft.Capacity/reservationOrders/{reservationOrderId}/changeDirectory?api-version=2022-11-01

URI 參數

名稱 位於 必要 類型 Description
reservationOrderId
path True

string

保留的訂單標識碼

api-version
query True

string

minLength: 1

用於此作業的 API 版本。

要求本文

名稱 類型 Description
destinationTenantId

string

要轉移保留訂單的租用戶標識碼 GUID

回覆

名稱 類型 Description
200 OK

ChangeDirectoryResponse

Azure 作業已順利完成。

Other Status Codes

Error

未預期的錯誤回應。

安全性

azure_auth

Azure Active Directory OAuth2 Flow。

類型: oauth2
Flow: implicit
授權 URL: https://login.microsoftonline.com/common/oauth2/authorize

範圍

名稱 Description
user_impersonation 模擬您的用戶帳戶

範例

ChangeDirectory

範例要求

POST https://management.azure.com/providers/Microsoft.Capacity/reservationOrders/a075419f-44cc-497f-b68a-14ee811d48b9/changeDirectory?api-version=2022-11-01

{
  "destinationTenantId": "906655ea-30be-4587-9d12-b50e077b0f32"
}

範例回覆

{
  "reservationOrder": {
    "name": "VM_RI_10-02-2020_15-21",
    "error": "error string",
    "id": "a075419f-44cc-497f-b68a-14ee811d48b9",
    "isSucceeded": true
  },
  "reservations": [
    {
      "name": "VM_RI_10-02-2020_15-21",
      "error": "error string",
      "id": "1f14354c-dc12-4c8d-8090-6f295a3a34aa",
      "isSucceeded": true
    }
  ]
}

定義

名稱 Description
ChangeDirectoryRequest

要求保留變更目錄的本文。

ChangeDirectoryResponse

變更目錄回應

ChangeDirectoryResult

變更保留訂單或保留的目錄結果

Error

錯誤資訊

ErrorResponseCode

描述服務無法處理傳入要求原因的錯誤碼

ExtendedErrorInfo

擴充錯誤資訊,包括錯誤碼和錯誤訊息

ChangeDirectoryRequest

要求保留變更目錄的本文。

名稱 類型 Description
destinationTenantId

string

要轉移保留訂單的租用戶標識碼 GUID

ChangeDirectoryResponse

變更目錄回應

名稱 類型 Description
reservationOrder

ChangeDirectoryResult

變更保留訂單或保留的目錄結果

reservations

ChangeDirectoryResult[]

變更保留訂單或保留的目錄結果

ChangeDirectoryResult

變更保留訂單或保留的目錄結果

名稱 類型 Description
error

string

作業失敗時的錯誤原因。 否則為 Null

id

string

保留訂單或保留的標識碼

isSucceeded

boolean

如果變更目錄作業在此保留順序或保留上成功,則為 True

name

string

保留訂單或保留的名稱

Error

錯誤資訊

名稱 類型 Description
error

ExtendedErrorInfo

擴充錯誤資訊,包括錯誤碼和錯誤訊息

ErrorResponseCode

描述服務無法處理傳入要求原因的錯誤碼

值 Description
NotSpecified

未指定

InternalServerError

內部伺服器錯誤

ServerTimeout

ServerTimeout

AuthorizationFailed

授權失敗

BadRequest

錯誤的請求

ClientCertificateThumbprintNotSet

ClientCertificateThumbprintNotSet

InvalidRequestContent

InvalidRequestContent

OperationFailed

行動失敗

HttpMethodNotSupported

HttpMethodNotSupported

InvalidRequestUri

InvalidRequestUri

MissingTenantId

失蹤的租戶身份

InvalidTenantId

InvalidTenantId

InvalidReservationOrderId

InvalidReservationOrderId

InvalidReservationId

InvalidReservationId

ReservationIdNotInReservationOrder

預約非預約命令

ReservationOrderNotFound

預約順序未找到

InvalidSubscriptionId

InvalidSubscriptionId

InvalidAccessToken

InvalidAccessToken

InvalidLocationId

InvalidLocationId

UnauthenticatedRequestsThrottled

未認證請求被限速

InvalidHealthCheckType

InvalidHealthCheckType

Forbidden

禁止

BillingScopeIdCannotBeChanged

BillingScopeIdCannotBeChanged

AppliedScopesNotAssociatedWithCommerceAccount

AppliedScopesNotAssociatedWithCommerceAccount

PatchValuesSameAsExisting

補丁值與存在相同

RoleAssignmentCreationFailed

角色分配建立失敗

ReservationOrderCreationFailed

保留命令創建失敗

ReservationOrderNotEnabled

預約命令未啟用

CapacityUpdateScopesFailed

容量更新範圍失敗

UnsupportedReservationTerm

無支持保留期

ReservationOrderIdAlreadyExists

ReservationOrderIdAlexists

RiskCheckFailed

風險檢查失敗

CreateQuoteFailed

CreateQuoteFailed

ActivateQuoteFailed

啟動引用失敗

NonsupportedAccountId

非支援帳號ID

PaymentInstrumentNotFound

PaymentInstrumentNotFound

MissingAppliedScopesForSingle

MissingappliedScopesForSingle

NoValidReservationsToReRate

無有效保留再評分

ReRateOnlyAllowedForEA

ReRateOnlyAllowedForForEA

OperationCannotBePerformedInCurrentState

OperationCannotBePerformedInCurrentState

InvalidSingleAppliedScopesCount

InvalidSingleAppliedScopesCount

InvalidFulfillmentRequestParameters

InvalidFulfillmentRequestParameters(無效履行請求參數)

NotSupportedCountry

不支持國家

InvalidRefundQuantity

無效退款數量

PurchaseError

購買錯誤

BillingCustomerInputError

BillingCustomerInputError

BillingPaymentInstrumentSoftError

BillingPaymentInstrumentSoftError

BillingPaymentInstrumentHardError

BillingPaymentInstrumentHardError

BillingTransientError

帳單暫態錯誤

BillingError

帳單錯誤

FulfillmentConfigurationError

FulfillmentConfigurationError

FulfillmentOutOfStockError

FulfillmentOutOfStockError(出貨錯誤)

FulfillmentTransientError

履行暫態錯誤

FulfillmentError

FulfillmentError

CalculatePriceFailed

計算價格失敗

AppliedScopesSameAsExisting

AppliedScopesSameAsExistal(應用範圍相同)

SelfServiceRefundNotSupported

自助退款不支援

RefundLimitExceeded

退款上限超過了

ExtendedErrorInfo

擴充錯誤資訊,包括錯誤碼和錯誤訊息

名稱 類型 Description
code

ErrorResponseCode

描述服務無法處理傳入要求原因的錯誤碼

message

string